.promo-title {
    background-image: url("./img/promos/promo_groupe_1.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;

    .overlay{
        background-color: rgba(255, 255, 255, 0.85);
    }
}

#promo-content{
    .promo-img,
    .overlay,
    h3,
    a{
        transition: all .5s ease;
    }
    .promo-line{
        transition: all .2s ease;
    }

    .promo-line{
        transform: scale(1);
        padding: 1rem;
        border: 1px solid transparent;

        &:hover{
            transform: scale(1.01);
            border: 1px solid rgba(0,0,0,0.2);
            -webkit-box-shadow: 0px 5px 7px 0px rgba(0, 0, 0, 0.35);
            -moz-box-shadow: 0px 5px 7px 0px rgba(0, 0, 0, 0.35);
            box-shadow: 0px 5px 7px 0px rgba(0, 0, 0, 0.35);

            .promo-img{
                background-size: auto 110%;
            }

            .overlay{
                background-color: rgba(255, 255, 255, .85);
            }

            h3{
                &::before{
                    right: 100%;
                }
                &::after{
                    left: 100%;
                }
            }

            a {
                opacity: 1;
                transform: scale(1);
            }


        }
    }

    .promo-img{
        position: relative;
        background-position: center;
        background-size: auto 100%;
        background-repeat: no-repeat;
        min-height: 20rem;
        overflow: hidden;
        padding: 0;
        padding-top: 2rem;
        border: 1px solid lighten($col_grey, 50%);

        h3 {
            @include align-self(flex-start);
            text-align: center;
            color: #fff;
            text-align: center;
            position: relative;
            padding: 10px;
            background: rgba(0, 0, 0, 0.8);
            // text-transform: uppercase;

            &::before,
            &::after{
                content: "";
                position: absolute;
                left: 0;
                right: 0;
                height: 1px;
                background-color: $col_grey;
                -webkit-transition: all 0.7s ease-out;
                transition: all 0.7s ease-out;
            }

            &::before{
                top: -5px;
            }
            &::after{
                bottom: -5px;
            }
        }

        a {
            position: absolute;
            white-space: nowrap;
            width: calc(100% - 2rem);
            margin: 1rem;
            transform-origin: center center;
            bottom: 0;
            color: white;
            opacity: 0;
            transform: scale(1.5);

            &:hover {
                color: #ed1450;
            }
        }
    }

    .overlay{
        position: absolute;
        top: 1rem;
        left: 1rem;
        bottom: 1rem;
        right: 1rem;
        background-color: rgba(255, 255, 255, 0);
    }

    .dates {
        @include flexbox();
        @include justify-content(space-between);
        border: 1px solid lighten($col_grey, 50%);
        border-left: 0;
        border-right: 0;
        margin-bottom: 1rem;

        .innerDate,
        .students{padding: 1rem 0;}

        .innerDate {
            @include flexbox();
            @include align-items(stretch);

            p{margin: 0;}
        }
        i{
            color: lighten($col_grey, 33%);
        }
        svg{
            font-size: 44px;
            margin-right: 10px;

            path{
                fill: lighten($col_grey, 33%);
            }
        }

        .pinkText {
            color: #ed1450;
            font-weight: bold;
            font-style: normal;
        }
    }

    .caroussel {
        background: #a2a2a5;
        margin-top: 50px;
        padding-bottom: 70px;
        padding-top: 50px;

        .carousel-inner {
            box-shadow: 1px 35px 46px -10px rgba(0,0,0,0.75);
        }
    }
}
